Request

Endpoint: !GetMDCDomainDetails

https://secure.trust-provider.com/products/!GetMDCDomainDetails

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table displays the required, optional, and conditional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

Your account username.

This value is case sensitive.

loginPassword

required

string

128 chars

Your account password.

This value is case sensitive.

orderNumber

required

integer

The multi-domain certificate order number that is awaiting validation.

showStatusDetails

optional

char

1 char

Specifies the format of the returned certificate data.

The allowed values are:

  • Y — Include detailed status information.

  • N — Do not include detailed status information.

responseFormat

optional

integer

Specifies the format of the response.

The allowed values are:

  • 1 — URL-encoded parameters.

  • 2 — JSON format.

If omitted, the value defaults to 1.

Sample request

curl --location 'https://secure.trust-provider.com/products/!GetMDCDomainDetails' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=1234567' \
--data-urlencode 'showStatusDetails=Y' \
--data-urlencode 'responseFormat=2'

Response

The request is successful when the server returns a response with the status code equals 0.

Any status code less than 0 indicates an error condition.

The list of codes and their descriptions can be found in Error codes.

The MIME type depends on the responseFormat parameter:

  • 1 — application/x-www-form-urlencoded (default)

  • 2 — application/json

Response parameters

The following table describes the parameters included in a response.

Parameter Type Description

errorCode

integer

A numeric code that identifies the type of error. For more details, see Error codes.

errorMessage

string

The explanation of the error.

X_domainName

string

A fully qualified domain name or IP address.

X_dcvMethod

string

A description of the current DCV method.

X_dcvStatus

string

A description of the DCV status.

csrStatus

integer

The CSR status of the certificate if showStatusDetails=Y.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

dcvStatusCode

integer

The DCV status of the certificate if showStatusDetails=Y.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

ovCallBackStatus

integer

The OV callback status of the account if showStatusDetails=Y.

The possible values are:

  • -1 — Not applicable.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

organizationValidationStatus

integer

An integer describing the current status of account validation (OV) if showStatusDetails=Y.

The possible values are:

  • -1 — Not applicable.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

freeDVUPStatus

integer

The status of free DV upgrade if showStatusDetails=Y.

The possible values are:

  • -1 — Not applicable.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

evClickThroughStatus

integer

The status of EV ClickThrough Acceptance if showStatusDetails=Y.

The possible values are:

  • -1 — Not applicable.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

evLegalExistence

integer

The EV legal existence status if showStatusDetails=Y.

evAssumedName

integer

The EV assumed name status if showStatusDetails=Y.

evPhysicalExistence

integer

The EV physical existence status if showStatusDetails=Y.

evOperationalExistence

integer

The EV operational existence status if showStatusDetails=Y.

evSignerApproverRequester

integer

The EV signer/approver/requester validation status if showStatusDetails=Y.

evSignerSecondApproval

integer

The EV second approval status if showStatusDetails=Y.

The X in some of the above parameters is a placeholder for an integer. This integer is the 'result number'. Each 'result number' corresponds to a different order within the entire result set.

Sample success response

errorCode=0&1_domainName=123456789012345678901wuuu.tk&[email protected]&1_dcvStatus=Validated&2_domainName=123578901234578901wuuu.tk&[email protected]&2_dcvStatus=Validated&3_domainName=test.com&[email protected]&3_dcvStatus=Validated&csrStatus=1&dcvStatusCode=1&freeDVUPStatus=-1&ovCallBackStatus=-1&organizationValidationStatus=2&evClickThroughStatus=1&evLegalExistence=0&evAssumedName=-1&evPhysicalExistence=0&evOperationalExistence=0&evSignerApproverRequester=0&evSignerSecondApproval=0

Sample error responses

URL-encoded
errorCode=0&
1_domainName=example.com&
[email protected]&
1_dcvStatus=Validated&
2_domainName=www.example.com&
2_dcvMethod=CNAME_CSR_HASH&
2_dcvStatus=In+progress&
csrStatus=1&
dcvStatusCode=2&
ovCallBackStatus=-1&
organizationValidationStatus=1&
freeDVUPStatus=-1&
evClickThroughStatus=0&
evLegalExistence=0&
evAssumedName=0&
evPhysicalExistence=0&
evOperationalExistence=0&
evSignerApproverRequester=0&
evSignerSecondApproval=0
JSON
{
  "error": {
    "code": -16,
    "description": "Incorrect login details, account is locked, password has expired or your source IP is blocked.",
    "item": "loginName"
  }
}
``

Error codes

The following table outlines error responses returned by the GetMDCDomainDetails API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over HTTPS!

The request must use HTTPS protocol.

-2

'xxxx' is an unrecognized argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Permission denied!

The user doesn’t have the permission to perform the specified action.

-17

Request used GET rather than POST!

The request method should be POST.